Subject: bug#67946: [PATCH v3] lisp/recentf.el: Add verbosity option

From: Ship Mints <[email-masked]>
Date: Thu, 13 Feb 2025 05:07:17 -0500

These kinds of messages interfere with minibuffer use when they appear. My
recentf timer is hourly, yet I still notice it from time to time. I
forcibly suppress the message in a messier way than I'd prefer.

It was on my list to one day submit a patch for the same thing with a
defcustom called recentf-inhibit-messages.

On Thu, Feb 13, 2025 at 3:15 AM Stefan Kangas <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Lockywolf <[email-masked]>
> >> Cc: [email-masked],
> >>      [email-masked],
> >>      Lockywolf <[email-masked]>
> >> Date: Thu, 13 Feb 2025 12:04:30 +0800
> >>
> >> +(defcustom recentf-verbosity 1
> >> +  "Whether to show verbose messages about low-level recentf actions.
> >> +0 means to not show debugging messages related to the recentf
> machinery.
> >> +1 means show messages that were printed by default on Emacs <= 31.1."
> >> +  :group 'recentf
> >> +  :type 'integer
> >> +  :version "31.1")
> >
> > I think referring to the "Wrote..." messages as "debugging" is
> > incorrect, since this is the normal Emacs operation when saving a
> > buffer.
>
> In context, and from the users point of view, this is not something one
> should normally need to care about or look at.  I'd consider this
> debugging output, myself.  Just my two cents, of course.
>
>
>
>